---
layout: docs
page_title: 'Commands: sentinel read'
description: |
  The sentinel read command is used to inspect a Sentinel policies.
---

# Command: sentinel read

The `sentinel read` command is used to inspect a Sentinel policy.

~> Sentinel commands are new in Nomad 0.7 and are only available with Nomad
Enterprise.

## Usage

```plaintext
nomad sentinel read [options] <Policy Name>
```

The `sentinel read` command requires a single argument, the policy name.

Sentinel commands are only available when ACLs are enabled. This command
requires a management token.

## General Options

@include 'general_options_no_namespace.mdx'

## Read Options

- `-raw` : Output the raw policy only.

## Examples

Read all policies:

```shell-session
$ nomad sentinel read foo
Name              = foo
Scope             = submit-job
Enforcement Level = advisory
Description       = my test policy
Policy:

main = rule { true }

```
